 function x=LobattoRoots(n)
  % (Golub/Welsch algorithm)
  % Golub Some Modified Matrix Eigenvalue Problem 1973 
  % the input n needs to be > 2  
  
  assert(n>2);
  
  %construct the matrix J
  
b = 1:n-2;
b = b./sqrt(4*b.*b-1);
J=diag(b,-1)+diag(b,1);
  % Solve the system (7.9) for gamma and mu 
gamma1 = (J+eye(n-1))\[zeros(n-2,1); 1];
mu = (J-eye(n-1))\[zeros(n-2,1); 1];

  % Solve (7.11) for alpha and beta^2
  
beta1 = sqrt(2/(gamma1(n-1)-mu(n-1)));
alpha1 = 1+mu(n-1)*2/(gamma1(n-1)-mu(n-1));

  % Compute the eigenvalues of Jnp1
Jnp1=[J beta1*[zeros(n-2,1); 1]; beta1*[zeros(n-2,1); 1]' alpha1];
[~,D]=eig(Jnp1);
x=diag(D);

  %adjust to scale and shift
x=x/2+0.5;

 end
